Subject: RE: draft ldapbis meeting notes, IETF 57, Vienna

From: "Ramsay, Ron" <[email-masked]>
Date: Wed, 13 Aug 2003 10:53:09 +1000

Certainly, making all octets significant is a workable solution. If an implementation cannot handle the longer descriptors then an attempt to configure them should fail and then they would be unrecognised in the protocol. Everything is deterministic.

Ron

-----Original Message-----
From: Ryan Moats [mailto:[email-masked]]
Sent: Tuesday, 12 August 2003 23:43
To: RL 'Bob' Morgan
Cc: IETF ldapbis WG
Subject: Re: draft ldapbis meeting notes, IETF 57, Vienna

On Mon, Aug 11, 2003 at 01:54:34AM -0700, RL 'Bob' Morgan wrote:
| 
| Draft notes below, please send me any corrections.
| 
|  - RL "Bob"

This isn't a correction, its picking up the "descriptor length" thread.

First a point:  while the discussion has been about attribute descriptor
lengths, I feel that the same arguments apply to object class descriptors
as well.

| Jim Sermersheim spoke about the protocol document.  The "attribute
| descriptor length" issue has received much discussion on the WG list, and
| was discussed at length at this meeting.
| 
| Ted Hardie, the WG's Area Director, spoke for ("channeled") Chris Apple,
| saying that the issue is that designers of LDAP-based applications and
| schema need interoperable LDAP implementations to support them, and need
| to know what limits they can design to.
| 
| Kurt responded that there are two separable issues.  One, the one that
| started the email thread, is that an implementation was observed to
| truncate short names; this is just a bad implementation, it may be useful
| to clarify the doc to make it clear this isn't permitted.  The other is
| that LDAP can be used in many contexts, so not all features are required
| or appropriate for all contexts.  Applicability statements are the IETF
| documents that say which features are required for particular
| applications.

I believe that there was a suggestion made during the meeting that
"all label octets MUST be significant".  I can certainly live with that.

Ryan